%global gem_name azure

Name:           rubygem-%{gem_name}
Version:        0.6.4
Release:        1%{?dist}
Summary:        Windows Azure Client Library for Ruby

Group:          Development/Languages
License:        ASL 2.0
URL:            http://github.com/WindowsAzure/azure-sdk-for-ruby
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# https://github.com/Azure/azure-sdk-for-ruby/issues/196
Source1:        LICENSE-2.0.txt
# https://github.com/Azure/azure-sdk-for-ruby/pull/197
Patch0:         azure-tests-without-turn.patch

BuildArch:      noarch
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(json) >= 1.8
BuildRequires:  rubygem(json) < 2
BuildRequires:  rubygem(mime-types) >= 1.0
BuildRequires:  rubygem(mime-types) < 2
BuildRequires:  rubygem(nokogiri) >= 1.5
BuildRequires:  rubygem(nokogiri) < 2
BuildRequires:  rubygem(systemu) >= 2.6
BuildRequires:  rubygem(systemu) < 3
BuildRequires:  rubygem(uuid) >= 2.0
BuildRequires:  rubygem(uuid) < 3
BuildRequires:  rubygem(minitest4)
BuildRequires:  rubygem(mocha) => 1.0
BuildRequires:  rubygem(mocha) < 2

%description
Official ruby client library to consume Windows Azure services.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p1

# minitest <= 4 required
sed -i -e "1i gem 'minitest', '~> 4'" test/test_helper.rb

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

cp -p %{SOURCE1} %{buildroot}%{gem_instdir}/


%check
pushd .%{gem_instdir}
ruby -Ilib:test -e 'Dir.glob "./test/unit/**/*_test.rb", &method(:require)'
popd


%files
%dir %{gem_instdir}/
%license %{gem_instdir}/LICENSE-2.0.txt
%{gem_libdir}/
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/test/
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/%{gem_name}.gemspec


%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/ChangeLog.txt
%doc %{gem_instdir}/README.md


%changelog
* Sun Feb 08 2015 František Dvořák <valtri@civ.zcu.cz> - 0.6.4-1
- Initial package
